libpipeline-1.5.1-alt2_1.i586.rpm


Advertisement

Description

libpipeline - A pipeline manipulation library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libpipeline-1.5.1-alt2_1.i586.rpm
Package name libpipeline
Package version 1.5.1
Package release alt2_1
Package architecture i586
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 121.25 KB
Installed size 121.25 KB
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

Alternatives

Package Version Architecture Repository
libpipeline-1.5.1-alt2_1.x86_64.rpm 1.5.1 x86_64 Classic
libpipeline - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.8) -
rpmlib(PayloadIsLzma) -
rtld(GNU_HASH) -

Provides

Name Value
bundled(gnulib) = 20140202
libpipeline = 1.5.1-alt2_1:sisyphus+226877.100.1.1
libpipeline.so.1 -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libpipeline-1.5.1-alt2_1.i586.rpm
Source Package libpipeline-1.5.1-alt2_1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpipeline rpm package:
    # sudo apt-get install libpipeline

Files

Path
/usr/lib/libpipeline.so.1
/usr/lib/libpipeline.so.1.5.1
/usr/share/doc/libpipeline-1.5.1/COPYING
/usr/share/doc/libpipeline-1.5.1/ChangeLog
/usr/share/doc/libpipeline-1.5.1/NEWS
/usr/share/doc/libpipeline-1.5.1/README

Changelog

2019-04-08 - Michael Shigorin <mike@altlinux.org> 1.5.1-alt2_1
- fix build on e2k with lcc-1.23
2019-02-09 - Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_1
- update to new release by fcimport
2018-10-10 - Igor Vlasenko <viy@altlinux.ru> 1.5.0-alt1_5
- update to new release by fcimport
2018-05-07 - Igor Vlasenko <viy@altlinux.ru> 1.5.0-alt1_3
- update to new release by fcimport
2017-11-26 - Igor Vlasenko <viy@altlinux.ru> 1.5.0-alt1_1
- new version
2017-09-27 - Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_3
- update to new release by fcimport
2017-08-03 - Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_1
- update to new release by fcimport
2017-03-16 - Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_3
- update to new release by fcimport
2016-02-15 - Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_2
- update to new release by fcimport
2015-09-20 - Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_1
- update to new release by fcimport

See Also

Package Description
libpipeline-devel-1.5.1-alt2_1.i586.rpm Header files and libraries for pipeline manipulation library
libpixman-0.38.4-alt1.i586.rpm Pixel manipulation library
libpixman-devel-0.38.4-alt1.i586.rpm Pixel manipulation library development package
libpjsip-2.8-alt1.i586.rpm Libraries for building embedded/non-embedded VoIP applications
libpjsip-devel-2.8-alt1.i586.rpm Development files to use pjproject
libpkcs11-helper-1.25.1-alt6.i586.rpm A library for using PKCS#11 providers
libpkcs11-helper-devel-1.25.1-alt6.i586.rpm Development files for pkcs11-helper
libpki-0.8.9-alt3.git20180603.i586.rpm Library for PKI enabled application development
libpki-devel-0.8.9-alt3.git20180603.i586.rpm Header files and library for development with LibPKI
libpki-devel-static-0.8.9-alt3.git20180603.i586.rpm The PKI static library
libpki-tools-0.8.9-alt3.git20180603.i586.rpm Auxiliary tools for LibPKI
libplank-0.11.4-alt1.i586.rpm Library to build a elegant, simple, clean dock
libplank-devel-0.11.4-alt1.i586.rpm Library to build a elegant, simple, clean dock (development files)
libplankundo216-3.1.0-alt7.i586.rpm calligraplan library
libplanmain16-3.1.0-alt7.i586.rpm calligraplan library
Advertisement
Advertisement